%global gitcommit e157025

Name:     xivo-client
Summary:  A desktop client to the XiVO Open Source IPBX
Version:  12.24
Release:  1.git%{gitcommit}%{?dist}
License:  GPLv3
Group:    Applications/System
URL:      http://documentation.xivo.fr/production/developers/xivo_client/build.html
# The source of this package was pulled from the upstream git repo at
# git clone git://git.xivo.fr/official/xivo-client-qt.git 
# checkout the revision e157025
# tar czf xivo-client-e157025.tar.gz xivo-client-qt --exclude-backups --exclude-vcs
Source0:  %{name}-%{gitcommit}.tar.gz
Source1:  %{name}.desktop
Source2:  xivoclient

BuildRequires: qt-devel
BuildRequires: qt3-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

%description
%{name} is a graphical client to use with the XiVO Open Source iPBX.
It is used to manage calls and phone book.

%prep
%setup -q -n %{name}-qt

%build
qmake-qt4
make %{_smp_mflags}

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__mkdir_p} %{buildroot}%{_libdir}/%{name}/plugins
%{__mkdir_p} %{buildroot}%{_datadir}/applications

%{__install} -m755 %SOURCE2 %{buildroot}/%{_bindir}
%{__install} -m755 bin/xivoclient %{buildroot}/%{_datadir}/%{name}
mv %{buildroot}/%{_datadir}/%{name}/xivoclient{,-qt}
cp -a bin/*.so* %{buildroot}/%{_libdir}/%{name}
cp -a bin/plugins/*.so* %{buildroot}/%{_libdir}/%{name}/plugins
%{__install} -m644 xivoclient/images/xivoicon.ico %{buildroot}/%{_datadir}/%{name}
%{__install} -m644 %SOURCE1 %{buildroot}/%{_datadir}/applications

#%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/xivoclient
%{_datadir}/%{name}/*
%{_libdir}/*
%{_datadir}/applications/*

%changelog
* Thu Jan 10 2013 Kévin Raymond <shaiton@fedoraproject.org> 12.24-1.gite157025
- Update to the 12.24 latest release
- Clean dependancies
- Typo in the application group
* Wed Dec 19 2012 Kévin Raymond <shaiton@fedoraproject.org> 12.22-2.gitdf471e3
- Removing the libs subpackage
- Adding the binary wrapper
* Sun Dec 16 2012 Kévin Raymond <shaiton@fedoraproject.org> 12.22-1.gitdf471e3
- initial packing
